/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service3;


/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service1
 * reference gets called when service1 operation1 is invoked
 * @author Di Zhong
 *
 */
@Service(Service3.class)
public class Service3Impl3 implements Service3, Service4Callback {
	
	@Property
	public String serviceName = "service3";
	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public Service4 reference4 = null;

	public void operation1(String input) {
		reference4.operation1(serviceName + " operation1 invoked with "+input);
	}

	public void callbackMessage(String input) {
	}

	public void callbackWithReply(String input) {
	}

}
