/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_3026_3_TestCase
 * 
 * When receiving messages for a JMS binding, the SCA runtime MUST use a message
 * selector if specified in the binding definition in the following priority order:
 * 1) the value for the message selector specified in the @uri attribute value's "selector"
 *    parameter (highest priority);
 * 2) the value for the message selector specified in the messageSelection/@selector
 *    attribute;
 * 3) otherwise no message selector is used (lowest priority) 
 * 
 * This is the default (no selector) case
 */
public class BJM_3026_3_TestCase extends BaseJMSTestRunner {

    protected TestConfiguration getTestConfiguration() {    	JMSTestConfiguration config = new JMSTestConfiguration();
	config.testName          = this.getClass().getSimpleName().substring(0, 10);
	config.input             = "BJM_3026 request message";
	config.output[0]         = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><return>service1 operation1 invoked with BJM_3026 request message</return>";
	config.composite         = "Test_" + config.testName + ".composite";
	config.contributionNames = new String[] { "BJM_3026_3", "BJM_General", "BJM_General" + _Lang };
	config.destinationName   = "TEST_BJM_3026_Queue";

	return config;
	}
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class BJM_3026_3_TestCase
