/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_4005T_TestCase
 * 
 * When using the default wire format an SCA runtime MUST be able to receive both
 * JMS text and bytes messages
 * 
 * This is the Text message test
 */
public class BJM_4005T_TestCase extends BaseJMSTestRunner  {

	   protected TestConfiguration getTestConfiguration() {
	    	JMSTestConfiguration config = new JMSTestConfiguration();
	    	config.testName          = this.getClass().getSimpleName().substring(0, 8);
	    	config.input             = "BJM_4005 request message";
	    	config.output[0]         = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><return>service1 operation1 invoked with BJM_4005 request message</return>";
	    	config.composite         = "Test_" + config.testName + ".composite";
	    	config.contributionNames = new String[] { "BJM_4005", "BJM_General", "BJM_General" + _Lang };
	        config.destinationName   = "TEST_BJM_4005_Queue";
	 
	    	return config;
	    }
	   
	    /**
	     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
	     */
	    @Ignore
	    @Test
	    public void testFoo() throws Exception {  	
	    }
}  // end class BJM_4005T_TestCase
